Bug 258638 - audio/flake: Deprecate and set expiration date to 2021-12-31
Summary: audio/flake: Deprecate and set expiration date to 2021-12-31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-20 22:46 UTC by Daniel Engberg
Modified: 2021-09-24 21:22 UTC (History)
0 users

See Also:


Attachments
Patch for flake (382 bytes, patch)
2021-09-20 22:46 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-20 22:46:00 UTC
Created attachment 228062 [details]
Patch for flake

Abandoned upstream, no new release since 2007
Listed as beta status by upstream, users are recommended to use audio/ffmpeg or audio/flac instead and users also reports bugs without using libsndfile https://hydrogenaud.io/index.php?topic=71984.0
Comment 1 commit-hook freebsd_committer 2021-09-24 21:12:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=84fd107b33f6c6645d93047c5ff51a77f78fc51e

commit 84fd107b33f6c6645d93047c5ff51a77f78fc51e
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-24 20:20:06 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-24 21:10:13 +0000

    audio/flake: Deprecate and set expiration date to 2021-12-31

    Upstream lists software as beta, no new release since 2007
    Users also reports bugs when libsndfile isn't utilized
    Users are recommended to use audio/ffmpeg or audio/flac instead

    Reference: https://hydrogenaud.io/index.php?topic=71984.0

    PR:             258638
    Approved by:    tcberner and lbartoletti (mentors)
    Differential Revision:  https://reviews.freebsd.org/D32038

 audio/flake/Makefile | 3 +++
 1 file changed, 3 insertions(+)